package com.lzq.tencent_map;

import android.content.Context;
import android.os.Looper;

import com.tencent.map.geolocation.TencentLocation;
import com.tencent.map.geolocation.TencentLocationListener;
import com.tencent.map.geolocation.TencentLocationManager;

import java.util.HashMap;
import java.util.Map;

import io.flutter.plugin.common.MethodChannel;

public class Handler {

    private Context context;

    public Handler(Context context) {
        this.context = context;
    }

    public void getLocation(final MethodChannel.Result result) {
        TencentLocationManager tencentLocationManager = TencentLocationManager.getInstance(context);
        tencentLocationManager.requestSingleFreshLocation(null, new TencentLocationListener() {
            @Override
            public void onLocationChanged(TencentLocation location, int i, String s) {
                Map map = new HashMap<String, Object>();
                map.put("name", location.getName());
                map.put("address", location.getAddress());
                map.put("city", location.getCity());
                map.put("cityCode", location.getCityCode());
                map.put("latitude", location.getLatitude());
                map.put("longitude", location.getLongitude());

                result.success(map);
            }

            @Override
            public void onStatusUpdate(String s, int i, String s1) {

            }
        }, Looper.getMainLooper());
    }
}
