import 'dart:async';

import 'package:flutter/services.dart';

class TencentMap {
  static const MethodChannel _channel = const MethodChannel('tencent_map');

  ///
  /// 获取GPS定位
  /// [apiKey]        腾讯地图官方库
  ///
  static Future<Location> getLocation({String apiKey}) async {
    Map map = await _channel.invokeMethod('getLocation',{'apiKey':apiKey});
    return Location.form(map);
  }

  ///
  /// 是否打开GPS
  ///
  static Future<bool> isOpenGPS() async {
    return await _channel.invokeMethod('isOpenGPS');
  }

  ///
  /// 启用GPS
  ///
  static Future<bool> enableGPS() async {
    return await _channel.invokeMethod('enableGPS');
  }

}

class Location {
  String name;
  String address;
  String city;
  String cityCode;
  double latitude;
  double longitude;

  Location.form(Map map) {
    this.name = map['name'];
    this.address = map['address'];
    this.city = map['city'];
    this.cityCode = map['cityCode'];
    this.latitude = map['latitude'];
    this.longitude = map['longitude'];
  }
}
